<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: menu  YAHOO.widget.ContextMenu   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Menu&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_menu.html">menu</a>
                 &gt; YAHOO.widget.ContextMenu 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.widget.ContextMenu</b>
                        <span class="extends">
                           - extends <a href="YAHOO.widget.Menu.html">YAHOO.widget.Menu</a>
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        Creates a list of options or commands which are made visible in response to 
an HTML element's "contextmenu" event ("mousedown" for Opera).
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>YAHOO.widget.ContextMenu</strong>
                                <code>
                                    (
  
                                        
                                                
                                                p_oElement




                                                , 
                                                p_oConfig
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>p_oElement
                                                    &lt;String&gt; 
                                                    </code>
                                                     String specifying the id attribute of the 
<code>&#60;div&#62;</code> element of the context menu.
                                                </dd>
                                                <dd>
                                                    <code>p_oElement
                                                    &lt;String&gt; 
                                                    </code>
                                                     String specifying the id attribute of the 
<code>&#60;select&#62;</code> element to be used as the data source for the 
context menu.
                                                </dd>
                                                <dd>
                                                    <code>p_oElement
                                                    &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-
html.html#ID-22445964">HTMLDivElement</a>&gt; 
                                                    </code>
                                                     Object specifying the 
<code>&#60;div&#62;</code> element of the context menu.
                                                </dd>
                                                <dd>
                                                    <code>p_oElement
                                                    &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-
html.html#ID-94282980">HTMLSelectElement</a>&gt; 
                                                    </code>
                                                     Object specifying 
the <code>&#60;select&#62;</code> element to be used as the data source for 
the context menu.
                                                </dd>
                                                <dd>
                                                    <code>p_oConfig
                                                    &lt;Object&gt; 
                                                    </code>
                                                     Optional. Object literal specifying the 
configuration for the context menu. See configuration class documentation 
for more details.
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="_bCancelled">_bCancelled</a>
                                        <code>- private Boolean</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Boolean indicating if the display of the context menu should 
be cancelled.
                                        </div>
                                    </div>
     
                                        
                                    <div class="default">
                                        Default Value: false
                                    </div>        


                                    <hr />
                                    <h4><a name="_oTrigger">_oTrigger</a>
                                        <code>- private String|<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/leve
l-one-html.html#ID-58190037">HTMLElement</a>|Array</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Object reference to the current value of the "trigger" 
configuration property.
                                        </div>
                                    </div>
     
                                        
                                    <div class="default">
                                        Default Value: null
                                    </div>        


                                    <hr />
                                    <h4><a name="contextEventTarget">contextEventTarget</a>
                                        <code>- <a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-
html.html#ID-58190037">HTMLElement</a></code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Object reference for the HTML element that was the target of the
"contextmenu" DOM event ("mousedown" for Opera) that triggered the display of 
the context menu.
                                        </div>
                                    </div>
     
                                        
                                    <div class="default">
                                        Default Value: null
                                    </div>        


                                    <hr />


                            </div>
                        </div>

                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Overlay.html#YAHOO.widget.Overlay._initialized">YAHOO.widget.Overlay._initialized</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Module.html#body">body</a>,
                                        <a href="YAHOO.widget.Module.html#browser">browser</a>,
                                        <a href="YAHOO.widget.Module.html#cfg">cfg</a>,
                                        <a href="YAHOO.widget.Module.html#contructor">contructor</a>,
                                        <a href="YAHOO.widget.Module.html#element">element</a>,
                                        <a href="YAHOO.widget.Module.html#footer">footer</a>,
                                        <a href="YAHOO.widget.Module.html#header">header</a>,
                                        <a href="YAHOO.widget.Module.html#id">id</a>,
                                        <a href="YAHOO.widget.Module.html#imageRoot">imageRoot</a>,
                                        <a href="YAHOO.widget.Module.html#isSecure">isSecure</a>,
                                        <a href="YAHOO.widget.Module.html#platform">platform</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.widget.Menu.html">YAHOO.widget.Menu</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Menu.html#_aGroupTitleElements">_aGroupTitleElements</a>,
                                        <a href="YAHOO.widget.Menu.html#_aItemGroups">_aItemGroups</a>,
                                        <a href="YAHOO.widget.Menu.html#_aListElements">_aListElements</a>,
                                        <a href="YAHOO.widget.Menu.html#_bHandledMouseOutEvent">_bHandledMouseOutEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#_bHandledMouseOverEvent">_bHandledMouseOverEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#_bHideDelayEventHandlersAssigned">_bHideDelayEventHandlersAssigned</a>,
                                        <a href="YAHOO.widget.Menu.html#_bStopMouseEventHandlers">_bStopMouseEventHandlers</a>,
                                        <a href="YAHOO.widget.Menu.html#_nBodyScrollId">_nBodyScrollId</a>,
                                        <a href="YAHOO.widget.Menu.html#_nCurrentMouseX">_nCurrentMouseX</a>,
                                        <a href="YAHOO.widget.Menu.html#_nHideDelayId">_nHideDelayId</a>,
                                        <a href="YAHOO.widget.Menu.html#_nMaxHeight">_nMaxHeight</a>,
                                        <a href="YAHOO.widget.Menu.html#_nShowDelayId">_nShowDelayId</a>,
                                        <a href="YAHOO.widget.Menu.html#_nSubmenuHideDelayId">_nSubmenuHideDelayId</a>,
                                        <a href="YAHOO.widget.Menu.html#_sClassName">_sClassName</a>,
                                        <a href="YAHOO.widget.Menu.html#activeItem">activeItem</a>,
                                        <a href="YAHOO.widget.Menu.html#CSS_CLASS_NAME">CSS_CLASS_NAME</a>,
                                        <a href="YAHOO.widget.Menu.html#GROUP_TITLE_TAG_NAME">GROUP_TITLE_TAG_NAME</a>,
                                        <a href="YAHOO.widget.Menu.html#ITEM_TYPE">ITEM_TYPE</a>,
                                        <a href="YAHOO.widget.Menu.html#itemData">itemData</a>,
                                        <a href="YAHOO.widget.Menu.html#lazyLoad">lazyLoad</a>,
                                        <a href="YAHOO.widget.Menu.html#parent">parent</a>,
                                        <a href="YAHOO.widget.Menu.html#srcElement">srcElement</a>
                                </code>
                            </div>
                        </div>

                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="_onTriggerClick">_onTriggerClick</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>_onTriggerClick</strong>
                                           (
                                                
                                                        
                                                         p_oEvent
                                                    
                                                
                                                        , 
                                                         p_oMenu
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            "click" event handler for the HTML element(s) identified as the 
"trigger" for the context menu.  Used to cancel default behaviors in Opera.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oEvent &lt;Event&gt;</code>
                                                             Object representing the DOM event object passed back 
by the event utility (YAHOO.util.Event).
                                                        </dd>
                                                        <dd>
                                                            <code>p_oMenu &lt;YAHOO.widget.ContextMenu&gt;</code>
                                                             Object representing the context 
menu that is handling the event.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="_onTriggerContextMenu">_onTriggerContextMenu</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>_onTriggerContextMenu</strong>
                                           (
                                                
                                                        
                                                         p_oEvent
                                                    
                                                
                                                        , 
                                                         p_oMenu
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            "contextmenu" event handler ("mousedown" for Opera) for the HTML 
element(s) that trigger the display of the context menu.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oEvent &lt;Event&gt;</code>
                                                             Object representing the DOM event object passed back 
by the event utility (YAHOO.util.Event).
                                                        </dd>
                                                        <dd>
                                                            <code>p_oMenu &lt;YAHOO.widget.ContextMenu&gt;</code>
                                                             Object representing the context 
menu that is handling the event.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="_removeEventHandlers">_removeEventHandlers</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        void
                                            <strong>_removeEventHandlers</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Removes all of the DOM event handlers from the HTML element(s) 
whose "context menu" event ("click" for Opera) trigger the display of 
the context menu.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="cancel">cancel</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>cancel</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Cancels the display of the context menu.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="configTrigger">configTrigger</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>configTrigger</strong>
                                           (
                                                
                                                        
                                                         p_sType
                                                    
                                                
                                                        , 
                                                         p_aArgs
                                                    
                                                
                                                        , 
                                                         p_oMenu
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Event handler for when the value of the "trigger" configuration 
property changes.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_sType &lt;String&gt;</code>
                                                             String representing the name of the event that 
was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_aArgs &lt;Array&gt;</code>
                                                             Array of arguments sent when the event was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oMenu &lt;YAHOO.widget.ContextMenu&gt;</code>
                                                             Object representing the context 
menu that fired the event.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="destroy">destroy</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>destroy</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Removes the context menu's <code>&#60;div&#62;</code> element 
(and accompanying child nodes) from the document.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="init">init</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>init</strong>
                                           (
                                                
                                                        
                                                         p_oElement
                                                    
                                                

                                                

                                                

                                                
                                                        , 
                                                         p_oConfig
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The ContextMenu class's initialization method. This method is 
automatically called by the constructor, and sets up all DOM references for 
pre-existing markup, and creates required markup if it is not already present.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oElement &lt;String&gt;</code>
                                                             String specifying the id attribute of the 
<code>&#60;div&#62;</code> element of the context menu.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oElement &lt;String&gt;</code>
                                                             String specifying the id attribute of the 
<code>&#60;select&#62;</code> element to be used as the data source for 
the context menu.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oElement &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-
html.html#ID-22445964">HTMLDivElement</a>&gt;</code>
                                                             Object specifying the 
<code>&#60;div&#62;</code> element of the context menu.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oElement &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-
html.html#ID-94282980">HTMLSelectElement</a>&gt;</code>
                                                             Object specifying 
the <code>&#60;select&#62;</code> element to be used as the data source for 
the context menu.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oConfig &lt;Object&gt;</code>
                                                             Optional. Object literal specifying the 
configuration for the context menu. See configuration class documentation 
for more details.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="initDefaultConfig">initDefaultConfig</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>initDefaultConfig</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initializes the class's configurable properties which can be 
changed using the context menu's Config object ("cfg").
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="initEvents">initEvents</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>initEvents</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initializes the custom events for the context menu.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="toString">toString</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        String
                                            <strong>toString</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns a string representing the context menu.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        String
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>

                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.widget.Overlay.html#align">align</a>,
                                            <a href="YAHOO.widget.Overlay.html#center">center</a>,
                                            <a href="YAHOO.widget.Overlay.html#configConstrainToViewport">configConstrainToViewport</a>,
                                            <a href="YAHOO.widget.Overlay.html#configContext">configContext</a>,
                                            <a href="YAHOO.widget.Overlay.html#configFixedCenter">configFixedCenter</a>,
                                            <a href="YAHOO.widget.Overlay.html#configHeight">configHeight</a>,
                                            <a href="YAHOO.widget.Overlay.html#configIframe">configIframe</a>,
                                            <a href="YAHOO.widget.Overlay.html#configVisible">configVisible</a>,
                                            <a href="YAHOO.widget.Overlay.html#configWidth">configWidth</a>,
                                            <a href="YAHOO.widget.Overlay.html#configX">configX</a>,
                                            <a href="YAHOO.widget.Overlay.html#configXY">configXY</a>,
                                            <a href="YAHOO.widget.Overlay.html#configY">configY</a>,
                                            <a href="YAHOO.widget.Overlay.html#configzIndex">configzIndex</a>,
                                            <a href="YAHOO.widget.Overlay.html#destroy">destroy</a>,
                                            <a href="YAHOO.widget.Overlay.html#doCenterOnDOMEvent">doCenterOnDOMEvent</a>,
                                            <a href="YAHOO.widget.Overlay.html#enforceConstraints">enforceConstraints</a>,
                                            <a href="YAHOO.widget.Overlay.html#hideIframe">hideIframe</a>,
                                            <a href="YAHOO.widget.Overlay.html#hideMacGeckoScrollbars">hideMacGeckoScrollbars</a>,
                                            <a href="YAHOO.widget.Overlay.html#init">init</a>,
                                            <a href="YAHOO.widget.Overlay.html#initDefaultConfig">initDefaultConfig</a>,
                                            <a href="YAHOO.widget.Overlay.html#initEvents">initEvents</a>,
                                            <a href="YAHOO.widget.Overlay.html#moveTo">moveTo</a>,
                                            <a href="YAHOO.widget.Overlay.html#onDomResize">onDomResize</a>,
                                            <a href="YAHOO.widget.Overlay.html#showIframe">showIframe</a>,
                                            <a href="YAHOO.widget.Overlay.html#showMacGeckoScrollbars">showMacGeckoScrollbars</a>,
                                            <a href="YAHOO.widget.Overlay.html#syncPosition">syncPosition</a>,
                                            <a href="YAHOO.widget.Overlay.html#toString">toString</a>
                                    </code>
                                </div>
                            </div>
                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.widget.Module.html#appendToBody">appendToBody</a>,
                                            <a href="YAHOO.widget.Module.html#appendToFooter">appendToFooter</a>,
                                            <a href="YAHOO.widget.Module.html#appendToHeader">appendToHeader</a>,
                                            <a href="YAHOO.widget.Module.html#configMonitorResize">configMonitorResize</a>,
                                            <a href="YAHOO.widget.Module.html#configVisible">configVisible</a>,
                                            <a href="YAHOO.widget.Module.html#destroy">destroy</a>,
                                            <a href="YAHOO.widget.Module.html#hide">hide</a>,
                                            <a href="YAHOO.widget.Module.html#init">init</a>,
                                            <a href="YAHOO.widget.Module.html#initDefaultConfig">initDefaultConfig</a>,
                                            <a href="YAHOO.widget.Module.html#initEvents">initEvents</a>,
                                            <a href="YAHOO.widget.Module.html#initResizeMonitor">initResizeMonitor</a>,
                                            <a href="YAHOO.widget.Module.html#onDomResize">onDomResize</a>,
                                            <a href="YAHOO.widget.Module.html#render">render</a>,
                                            <a href="YAHOO.widget.Module.html#setBody">setBody</a>,
                                            <a href="YAHOO.widget.Module.html#setFooter">setFooter</a>,
                                            <a href="YAHOO.widget.Module.html#setHeader">setHeader</a>,
                                            <a href="YAHOO.widget.Module.html#show">show</a>,
                                            <a href="YAHOO.widget.Module.html#toString">toString</a>
                                    </code>
                                </div>
                            </div>
                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.widget.Menu.html">YAHOO.widget.Menu</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.widget.Menu.html#_addItemToGroup">_addItemToGroup</a>,
                                            <a href="YAHOO.widget.Menu.html#_cancelHideDelay">_cancelHideDelay</a>,
                                            <a href="YAHOO.widget.Menu.html#_cancelShowDelay">_cancelShowDelay</a>,
                                            <a href="YAHOO.widget.Menu.html#_checkPosition">_checkPosition</a>,
                                            <a href="YAHOO.widget.Menu.html#_configureSubmenu">_configureSubmenu</a>,
                                            <a href="YAHOO.widget.Menu.html#_createItemGroup">_createItemGroup</a>,
                                            <a href="YAHOO.widget.Menu.html#_disableScrollFooter">_disableScrollFooter</a>,
                                            <a href="YAHOO.widget.Menu.html#_disableScrollHeader">_disableScrollHeader</a>,
                                            <a href="YAHOO.widget.Menu.html#_enableScrollFooter">_enableScrollFooter</a>,
                                            <a href="YAHOO.widget.Menu.html#_enableScrollHeader">_enableScrollHeader</a>,
                                            <a href="YAHOO.widget.Menu.html#_execHideDelay">_execHideDelay</a>,
                                            <a href="YAHOO.widget.Menu.html#_execShowDelay">_execShowDelay</a>,
                                            <a href="YAHOO.widget.Menu.html#_execSubmenuHideDelay">_execSubmenuHideDelay</a>,
                                            <a href="YAHOO.widget.Menu.html#_getFirstEnabledItem">_getFirstEnabledItem</a>,
                                            <a href="YAHOO.widget.Menu.html#_getItemGroup">_getItemGroup</a>,
                                            <a href="YAHOO.widget.Menu.html#_getOffsetWidth">_getOffsetWidth</a>,
                                            <a href="YAHOO.widget.Menu.html#_initSubTree">_initSubTree</a>,
                                            <a href="YAHOO.widget.Menu.html#_onBeforeHide">_onBeforeHide</a>,
                                            <a href="YAHOO.widget.Menu.html#_onBeforeRender">_onBeforeRender</a>,
                                            <a href="YAHOO.widget.Menu.html#_onBeforeShow">_onBeforeShow</a>,
                                            <a href="YAHOO.widget.Menu.html#_onClick">_onClick</a>,
                                            <a href="YAHOO.widget.Menu.html#_onHide">_onHide</a>,
                                            <a href="YAHOO.widget.Menu.html#_onInit">_onInit</a>,
                                            <a href="YAHOO.widget.Menu.html#_onKeyDown">_onKeyDown</a>,
                                            <a href="YAHOO.widget.Menu.html#_onKeyPress">_onKeyPress</a>,
                                            <a href="YAHOO.widget.Menu.html#_onMenuItemBlur">_onMenuItemBlur</a>,
                                            <a href="YAHOO.widget.Menu.html#_onMenuItemConfigChange">_onMenuItemConfigChange</a>,
                                            <a href="YAHOO.widget.Menu.html#_onMenuItemFocus">_onMenuItemFocus</a>,
                                            <a href="YAHOO.widget.Menu.html#_onMouseMove">_onMouseMove</a>,
                                            <a href="YAHOO.widget.Menu.html#_onMouseOut">_onMouseOut</a>,
                                            <a href="YAHOO.widget.Menu.html#_onMouseOver">_onMouseOver</a>,
                                            <a href="YAHOO.widget.Menu.html#_onParentMenuConfigChange">_onParentMenuConfigChange</a>,
                                            <a href="YAHOO.widget.Menu.html#_onParentMenuRender">_onParentMenuRender</a>,
                                            <a href="YAHOO.widget.Menu.html#_onScrollTargetMouseOut">_onScrollTargetMouseOut</a>,
                                            <a href="YAHOO.widget.Menu.html#_onScrollTargetMouseOver">_onScrollTargetMouseOver</a>,
                                            <a href="YAHOO.widget.Menu.html#_onShow">_onShow</a>,
                                            <a href="YAHOO.widget.Menu.html#_onSubmenuBeforeShow">_onSubmenuBeforeShow</a>,
                                            <a href="YAHOO.widget.Menu.html#_onSubmenuHide">_onSubmenuHide</a>,
                                            <a href="YAHOO.widget.Menu.html#_onSubmenuShow">_onSubmenuShow</a>,
                                            <a href="YAHOO.widget.Menu.html#_onTextResize">_onTextResize</a>,
                                            <a href="YAHOO.widget.Menu.html#_removeItemFromGroupByIndex">_removeItemFromGroupByIndex</a>,
                                            <a href="YAHOO.widget.Menu.html#_removeItemFromGroupByValue">_removeItemFromGroupByValue</a>,
                                            <a href="YAHOO.widget.Menu.html#_setWidth">_setWidth</a>,
                                            <a href="YAHOO.widget.Menu.html#_subscribeToItemEvents">_subscribeToItemEvents</a>,
                                            <a href="YAHOO.widget.Menu.html#_updateItemProperties">_updateItemProperties</a>,
                                            <a href="YAHOO.widget.Menu.html#addItem">addItem</a>,
                                            <a href="YAHOO.widget.Menu.html#addItems">addItems</a>,
                                            <a href="YAHOO.widget.Menu.html#clearActiveItem">clearActiveItem</a>,
                                            <a href="YAHOO.widget.Menu.html#clearContent">clearContent</a>,
                                            <a href="YAHOO.widget.Menu.html#configClassName">configClassName</a>,
                                            <a href="YAHOO.widget.Menu.html#configContainer">configContainer</a>,
                                            <a href="YAHOO.widget.Menu.html#configHideDelay">configHideDelay</a>,
                                            <a href="YAHOO.widget.Menu.html#configIframe">configIframe</a>,
                                            <a href="YAHOO.widget.Menu.html#configMaxHeight">configMaxHeight</a>,
                                            <a href="YAHOO.widget.Menu.html#configPosition">configPosition</a>,
                                            <a href="YAHOO.widget.Menu.html#configVisible">configVisible</a>,
                                            <a href="YAHOO.widget.Menu.html#destroy">destroy</a>,
                                            <a href="YAHOO.widget.Menu.html#enforceConstraints">enforceConstraints</a>,
                                            <a href="YAHOO.widget.Menu.html#getItem">getItem</a>,
                                            <a href="YAHOO.widget.Menu.html#getItemGroups">getItemGroups</a>,
                                            <a href="YAHOO.widget.Menu.html#getItems">getItems</a>,
                                            <a href="YAHOO.widget.Menu.html#getRoot">getRoot</a>,
                                            <a href="YAHOO.widget.Menu.html#init">init</a>,
                                            <a href="YAHOO.widget.Menu.html#initDefaultConfig">initDefaultConfig</a>,
                                            <a href="YAHOO.widget.Menu.html#initEvents">initEvents</a>,
                                            <a href="YAHOO.widget.Menu.html#insertItem">insertItem</a>,
                                            <a href="YAHOO.widget.Menu.html#removeItem">removeItem</a>,
                                            <a href="YAHOO.widget.Menu.html#setInitialFocus">setInitialFocus</a>,
                                            <a href="YAHOO.widget.Menu.html#setInitialSelection">setInitialSelection</a>,
                                            <a href="YAHOO.widget.Menu.html#setItemGroupTitle">setItemGroupTitle</a>,
                                            <a href="YAHOO.widget.Menu.html#toString">toString</a>
                                    </code>
                                </div>
                            </div>

                        <div class="section method details">
                            <h3><a name="methodDetails">Events</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="triggerContextMenuEvent">triggerContextMenuEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>triggerContextMenuEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            Custom Event wrapper for the "contextmenu" DOM event 
("mousedown" for Opera) fired by the element(s) that trigger the display of 
the context menu.
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>


                        <div class="section field inheritance">
                            <h4>Events inherited from <a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Overlay.html#beforeMoveEvent">beforeMoveEvent</a>,
                                        <a href="YAHOO.widget.Overlay.html#moveEvent">moveEvent</a>,
                                        <a href="YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.windowResizeEvent">YAHOO.widget.Overlay.windowResizeEvent</a>,
                                        <a href="YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.windowScrollEvent">YAHOO.widget.Overlay.windowScrollEvent</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Events inherited from <a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Module.html#appendEvent">appendEvent</a>,
                                        <a href="YAHOO.widget.Module.html#beforeHideEvent">beforeHideEvent</a>,
                                        <a href="YAHOO.widget.Module.html#beforeInitEvent">beforeInitEvent</a>,
                                        <a href="YAHOO.widget.Module.html#beforeRenderEvent">beforeRenderEvent</a>,
                                        <a href="YAHOO.widget.Module.html#beforeShowEvent">beforeShowEvent</a>,
                                        <a href="YAHOO.widget.Module.html#changeBodyEvent">changeBodyEvent</a>,
                                        <a href="YAHOO.widget.Module.html#changeContentEvent">changeContentEvent</a>,
                                        <a href="YAHOO.widget.Module.html#changeFooterEvent">changeFooterEvent</a>,
                                        <a href="YAHOO.widget.Module.html#changeHeaderEvent">changeHeaderEvent</a>,
                                        <a href="YAHOO.widget.Module.html#destroyEvent">destroyEvent</a>,
                                        <a href="YAHOO.widget.Module.html#hideEvent">hideEvent</a>,
                                        <a href="YAHOO.widget.Module.html#initEvent">initEvent</a>,
                                        <a href="YAHOO.widget.Module.html#renderEvent">renderEvent</a>,
                                        <a href="YAHOO.widget.Module.html#showEvent">showEvent</a>,
                                        <a href="YAHOO.widget.Module.html#YAHOO.widget.Module.textResizeEvent">YAHOO.widget.Module.textResizeEvent</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Events inherited from <a href="YAHOO.widget.Menu.html">YAHOO.widget.Menu</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Menu.html#clickEvent">clickEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#itemAddedEvent">itemAddedEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#itemRemovedEvent">itemRemovedEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#keyDownEvent">keyDownEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#keyPressEvent">keyPressEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#keyUpEvent">keyUpEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#mouseDownEvent">mouseDownEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#mouseOutEvent">mouseOutEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#mouseOverEvent">mouseOverEvent</a>,
                                        <a href="YAHOO.widget.Menu.html#mouseUpEvent">mouseUpEvent</a>
                                </code>
                            </div>
                        </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Configuration Attributes</a></h3>
                            <div class="content">
                                    <h4><a name="trigger">trigger</a>
                                        <code>- String|<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/
level-one-html.html#ID-58190037">HTMLElement</a>|Array</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The HTML element(s) whose "contextmenu" event ("mousedown" 
for Opera) trigger the display of the context menu.  Can be a string 
representing the id attribute of the HTML element, an object reference 
for the HTML element, or an array of strings or HTML element references.
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: null
                                    </div>        

                                    <hr />

                            </div>
                        </div>

                        <div class="section field inheritance">
                            <h4>Configuration attributes inherited from <a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Overlay.html#constraintoviewport">constraintoviewport</a>,
                                        <a href="YAHOO.widget.Overlay.html#context">context</a>,
                                        <a href="YAHOO.widget.Overlay.html#fixedcenter">fixedcenter</a>,
                                        <a href="YAHOO.widget.Overlay.html#height">height</a>,
                                        <a href="YAHOO.widget.Overlay.html#iframe">iframe</a>,
                                        <a href="YAHOO.widget.Overlay.html#width">width</a>,
                                        <a href="YAHOO.widget.Overlay.html#x">x</a>,
                                        <a href="YAHOO.widget.Overlay.html#xy">xy</a>,
                                        <a href="YAHOO.widget.Overlay.html#y">y</a>,
                                        <a href="YAHOO.widget.Overlay.html#zIndex">zIndex</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Configuration attributes inherited from <a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Module.html#effect">effect</a>,
                                        <a href="YAHOO.widget.Module.html#monitorresize">monitorresize</a>,
                                        <a href="YAHOO.widget.Module.html#visible">visible</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Configuration attributes inherited from <a href="YAHOO.widget.Menu.html">YAHOO.widget.Menu</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Menu.html#autosubmenudisplay">autosubmenudisplay</a>,
                                        <a href="YAHOO.widget.Menu.html#classname">classname</a>,
                                        <a href="YAHOO.widget.Menu.html#clicktohide">clicktohide</a>,
                                        <a href="YAHOO.widget.Menu.html#constraintoviewport">constraintoviewport</a>,
                                        <a href="YAHOO.widget.Menu.html#container">container</a>,
                                        <a href="YAHOO.widget.Menu.html#hidedelay">hidedelay</a>,
                                        <a href="YAHOO.widget.Menu.html#maxheight">maxheight</a>,
                                        <a href="YAHOO.widget.Menu.html#position">position</a>,
                                        <a href="YAHOO.widget.Menu.html#showdelay">showdelay</a>,
                                        <a href="YAHOO.widget.Menu.html#submenualignment">submenualignment</a>,
                                        <a href="YAHOO.widget.Menu.html#submenuhidedelay">submenuhidedelay</a>,
                                        <a href="YAHOO.widget.Menu.html#visible">visible</a>
                                </code>
                            </div>
                        </div>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class="selected"><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class="selected"><a href="YAHOO.widget.ContextMenu.html">YAHOO.widget.ContextMenu</a></li>
                                <li class=""><a href="YAHOO.widget.ContextMenuItem.html">YAHOO.widget.ContextMenuItem</a></li>
                                <li class=""><a href="YAHOO.widget.Menu.html">YAHOO.widget.Menu</a></li>
                                <li class=""><a href="YAHOO.widget.Menubar.html">YAHOO.widget.Menubar</a></li>
                                <li class=""><a href="YAHOO.widget.MenuBarItem.html">YAHOO.widget.MenuBarItem</a></li>
                                <li class=""><a href="YAHOO.widget.MenuItem.html">YAHOO.widget.MenuItem</a></li>
                                <li class=""><a href="YAHOO.widget.MenuManager.html">YAHOO.widget.MenuManager</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="contextmenu.js.html">contextmenu.js</a></li>
                                <li class=""><a href="contextmenuitem.js.html">contextmenuitem.js</a></li>
                                <li class=""><a href="menu.js.html">menu.js</a></li>
                                <li class=""><a href="menubar.js.html">menubar.js</a></li>
                                <li class=""><a href="menubaritem.js.html">menubaritem.js</a></li>
                                <li class=""><a href="menuitem.js.html">menuitem.js</a></li>
                                <li class=""><a href="menumanager.js.html">menumanager.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#_bCancelled">_bCancelled</a>
                                        <!--<code>&lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-
html.html#ID-58190037">HTMLElement</a>&gt;</code>-->
                                </li>
                                <li><a href="#_oTrigger">_oTrigger</a>
                                        <!--<code>&lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-
html.html#ID-58190037">HTMLElement</a>&gt;</code>-->
                                </li>
                                <li><a href="#contextEventTarget">contextEventTarget</a>
                                        <!--<code>&lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-
html.html#ID-58190037">HTMLElement</a>&gt;</code>-->
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>void</code>-->
                                <a href="#_onTriggerClick">_onTriggerClick</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#_onTriggerContextMenu">_onTriggerContextMenu</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#_removeEventHandlers">_removeEventHandlers</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#cancel">cancel</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#configTrigger">configTrigger</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#destroy">destroy</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#init">init</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#initDefaultConfig">initDefaultConfig</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#initEvents">initEvents</a>
                                </li>
                                <li><!--<code>String</code>-->
                                <a href="#toString">toString</a>
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Events</h4>
                        <ul class="content">        
                                <li>
                                <a href="#triggerContextMenuEvent">triggerContextMenuEvent</a>
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Configuration Attributes</h4>
                        <ul class="content">        
                                <li>
                                <a href="#trigger">trigger</a>
                                </li>
                        </ul>
                    </div>

            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
